#!/bin/sh

# This script creates the symlinks needed for a checked out GMail to run
# properly, including fileman.

die() {
    echo "$*" 1>&2
    exit 1
}

[ "`basename \`pwd\``" = "mysqlman" -a -e "symlink.sh" ] || die "Must be run from mysqlman directory"

[ -d ../library/GT ] || die "Could not find library modules; perhaps you don't have library checked out?"
ln -snf ../library/{GT,*.pm} . || die "Could not link library modules; perhaps you don't have library checked out?"

echo "Good to go!"
